---
title: RTCPeerConnection.onicecandidateerror
slug: Web/API/RTCPeerConnection/onicecandidateerror
tags:
  - Experimental
  - ICE
  - RTCPeerConnection
  - Reference
  - WebRTC
  - onicecandidateerror
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCPeerConnection.onicecandidateerror</strong></code> property is an {{domxref("EventHandler")}} which specifies a function which is called to handle the {{event("icecandidateerror")}} event when it occurs on an {{domxref("RTCPeerConnection")}} instance. This event is fired when an error occurs during the {{Glossary("ICE")}} candidate gathering process.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCPeerConnection</em>.onicecandidateerror = <em>eventHandler</em>;
</pre>

<h3 id="Value">Value</h3>

<p>This should be set to a function you provide which is passed a single parameter: an {{domxref("RTCPeerConnectionIceErrorEvent")}} object describing the {{event("icecandidateerror")}} event. The event offers properties describing the error to help you handle it appropriately.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">pc.onicecandidateerror = function(event) {
  if (event.errorCode &gt;= 300 &amp;&amp; event.errorCode &lt;= 699) {
    // STUN errors are in the range 300-699. See {{RFC(5389, "", 15.6)}}
    // for a list of codes. TURN adds a few more error codes; see
    // {{RFC(5766, "", 15)}} for details.
  } else if (event.errorCode &gt;= 700 &amp;&amp; event.errorCode &lt;= 799) {
    // Server could not be reached; a specific error number is
    // provided but these are not yet specified.
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('WebRTC 1.0', '#dom-rtcpeerconnection-onicecandidateerror', 'RTCPeerConnection.onicecandidateerror') }}</td>
			<td>{{ Spec2('WebRTC 1.0') }}</td>
			<td>Initial specification.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.onicecandidateerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{event("icecandidateerror")}} event and its type, {{domxref("RTCPeerConnectionIceErrorEvent")}}.</li>
</ul>
